SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Ruby Vendors:   Matsumoto, Yukihiro
Ruby Stack Overflow in encodes() Function May Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1031167
SecurityTracker URL:  http://securitytracker.com/id/1031167
CVE Reference:   CVE-2014-4975   (Links to External Site)
Date:  Nov 5 2014
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Ruby. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted data to trigger an off-by-one stack overflow in the encodes() function in 'pack.c' and potentially execute arbitrary code on the target system.

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a source code fix, available at:

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=46778

Vendor URL:  svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=46778 (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Nov 27 2014 (Red Hat Issues Fix) Ruby Stack Overflow in encodes() Function May Let Remote Users Execute Arbitrary Code
Red Hat has issued a fix for Red Hat Enterprise Linux 6, 6.4, 6.5, 6.6, and 7.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC